Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.query
Class CatalogQueryManagerImpl

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
              com.beasys.commerce.ebusiness.catalog.service.query.CatalogQueryManagerImpl

All Implemented Interfaces
  Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

Deprecated See BEA Commerce product offering

    @Deprecated
    public class CatalogQueryManagerImpl

extends CatalogServiceImpl

The implementation class for the `CatalogQueryManager` Session EJB. This implementation delegates to the service specifed by the following EJB environment property:

- `delegateName` - specifies the delegatory `CatalogQueryManager` service.

See Also
  `CatalogQueryManager`, `CatalogQueryManagerHome`, `CatalogManager`, Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`CATALOG_MANAGER_HOME, CATALOG_QUERY_DELEGATE, CATEGORY_DELEGATE, CUSTOM_DATA_DELEGATE, PRODUCT_ITEM_DELEGATE`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CatalogQueryManagerImpl()` Deprecated See BEA Commerce product offering

Method Summary
`void` | `ejbActivate()` Deprecated See BEA Commerce product offering
`void` | `ejbCreate()` Deprecated See BEA Commerce product offering
`void` | `ejbPassivate()` Deprecated See BEA Commerce product offering
`void` | `ejbPostCreate()` Deprecated See BEA Commerce product offering
`void` | `ejbRemove()` Deprecated See BEA Commerce product offering
`ProductItemKey[]` | `search(CatalogRequest request, CatalogQuery query)` Deprecated See BEA Commerce product offering
`ViewIterator` | `search(CatalogRequest request, CatalogQuery query, int viewSize)` Deprecated See BEA Commerce product offering
`CategoryKey[]` | `searchCategories(CatalogRequest request, CatalogQuery query)` Deprecated See BEA Commerce product offering
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`getCatalogManager, getCatalogManagerJndiName, getConfigBean, setDelegateName, validateAuthorization`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogQueryManagerImpl

    public CatalogQueryManagerImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbCreate method.

  Overrides:
    `ejbCreate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.CreateException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbPostCreate method.

  Overrides:
    `ejbPostCreate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.CreateException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbActivate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbPassivate` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Overrides:
    `ejbRemove` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `SessionImpl`
  setSessionContext method.

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `CatalogServiceImpl`
  Throws
    `javax.ejb.EJBException`

### search

    public ProductItemKey[] search(CatalogRequest request,
                                   CatalogQuery query)
                            throws RemoteException,
                                   CatalogException

  Deprecated See BEA Commerce product offering

  Returns the results of the search peformed using the supplied catalog query object.

  Parameters
    `request` - The catalog request object.
    `catalogQuery` - The catalog query object.
  Returns
    An array of product item keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### searchCategories

    public CategoryKey[] searchCategories(CatalogRequest request,
                                          CatalogQuery query)
                                   throws RemoteException,
                                          CatalogException

  Deprecated See BEA Commerce product offering

  Returns the results of the search peformed using the supplied catalog query object for categories.

  Parameters
    `request` - The catalog request object.
    `catalogQuery` - The catalog query object.
  Returns
    An array of category keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### search

    public ViewIterator search(CatalogRequest request,
                               CatalogQuery query,
                               int viewSize)
                        throws RemoteException,
                               CatalogException

  Deprecated See BEA Commerce product offering

  Returns a ViewIterator over the results of the search peformed using the supplied catalog query object.

  Parameters
    `request` - The catalog request object.
    `catalogQuery` - The catalog query object.
    `viewSize` - The view size of the returned ViewIterator.
  Returns
    A ViewIterator over the product items returned by the search.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved